Web interface crashes after update of old server.

If you server has not been upgraded since December 2016, please follow the steps below:

#1 Install .NET 4.6

https://www.microsoft.com/en-us/download/details.aspx?id=48130

#2 Activate ASP.NET 4.0

For Windows 2012 / Windows 8 and later please run the following command from an administrative command prompt to enabled ASP.NET 4.5

dism /online /enable-feature /featurename:IIS-ASPNET45

 

For Windows 2008 / Windows 7 / Vista, please run this command:

C:\Windows\Microsoft.NET\Framework64\v4.0.30319>aspnet_regii‌​s -i

 

#3 Make sure the GpsGateServer application pool uses .NET 4.0 in IIS

Run inetmgr.exe

Right click on the Application pool "GpsGateServer" and select "Advanced Settings"

Set .NET CLR to v4.0
Set Managed Pipeline Mode to Integrated.

And click OK.

 

#4 Make sure the Service runs under .NET 4

Edit the following two files:
C:\GpsGateServer\Franson NMEA Service\GpsGate.Service.exe.config
C:\GpsGateServer\Franson NMEA Service\Franson.SysMonitor.Service.exe.config

Add the following inside the <configuration> tag:

<startup>
<supportedRuntime version="v4.0" />
</startup>

After that is done, please start the Service again.


If using IIS Express, please create a file named
C:\GpsGateServer\Franson NMEA Service\IISExpress.Service.exe.config

With the following content:

<configuration>
<startup>
<supportedRuntime version="v4.0" />
</startup>
</configuration>

 

#5 Update Patch.v4

Please follow those steps:

1. Login to SiteAdmin
2. Go to Plugins
3. Change URL to net46update.gpsgate.com
4. Update Patch.v4

After the update you have Patch.v4 v4.0.0.5114 installed.

5. Change URL back to update.gpsgate.com
6. Update Patch.v4

After the update Patch.v4 should be "green"

 

#6 Install Java

Install x64 Java on your Windows Server where GpsGate is installed.

http://www.oracle.com/technetwork/java/javase/downloads/jre8-downloads-2133155.html

 

#7 Install VC++

Install VC++ Redistributable on your Windows Server

https://go.microsoft.com/fwlink/?LinkId=746572

 

#8 Upgrade Core, Updates.v5 and the rest of the plugins.

1. Login to SiteAdmin
2. Go to Plugins
3. Update Core

4. Go to Plugins
5. Update Updates.v5

6. Go to Plugins
7. Click Update All to update the rest of the plugins.